Loading...
Searching...
No Matches
AVFilmGrainH274Params Struct Reference

This structure describes how to handle film grain synthesis for codecs using the ITU-T H.274 Versatile suplemental enhancement information message. More...

`#include <libavutil/film_grain_params.h>`

## Data Fields

int | model_id
| Specifies the film grain simulation mode.
int | blending_mode_id
| Specifies the blending mode used to blend the simulated film grain with the decoded images.
int | log2_scale_factor
| Specifies a scale factor used in the film grain characterization equations.
int | component_model_present [3]
| Indicates if the modelling of film grain for a given component is present.
uint16_t | num_intensity_intervals [3]
| Specifies the number of intensity intervals for which a specific set of model values has been estimated, with a range of [1, 256].
uint8_t | num_model_values [3]
| Specifies the number of model values present for each intensity interval in which the film grain has been modelled, with a range of [1, 6].
uint8_t | intensity_interval_lower_bound [3][256]
| Specifies the lower ounds of each intensity interval for whichthe set of model values applies for the component.
uint8_t | intensity_interval_upper_bound [3][256]
| Specifies the upper bound of each intensity interval for which the set of model values applies for the component.
int16_t | comp_model_value [3][256][6]
| Specifies the model values for the component for each intensity interval.

## Detailed Description

This structure describes how to handle film grain synthesis for codecs using the ITU-T H.274 Versatile suplemental enhancement information message.

Note
  The struct must be allocated as part of AVFilmGrainParams using av_film_grain_params_alloc(). Its size is not a part of the public ABI.

Definition at line 132 of file film_grain_params.h.

## Field Documentation

## model_id

int AVFilmGrainH274Params::model_id

Specifies the film grain simulation mode.

0 = Frequency filtering, 1 = Auto-regression

Definition at line 137 of file film_grain_params.h.

## blending_mode_id

int AVFilmGrainH274Params::blending_mode_id

Specifies the blending mode used to blend the simulated film grain with the decoded images.

0 = Additive, 1 = Multiplicative

Definition at line 182 of file film_grain_params.h.

## log2_scale_factor

int AVFilmGrainH274Params::log2_scale_factor

Specifies a scale factor used in the film grain characterization equations.

Definition at line 187 of file film_grain_params.h.

## component_model_present

int AVFilmGrainH274Params::component_model_present[3]

Indicates if the modelling of film grain for a given component is present.

Definition at line 192 of file film_grain_params.h.

## num_intensity_intervals

uint16_t AVFilmGrainH274Params::num_intensity_intervals[3]

Specifies the number of intensity intervals for which a specific set of model values has been estimated, with a range of [1, 256].

Definition at line 198 of file film_grain_params.h.

## num_model_values

uint8_t AVFilmGrainH274Params::num_model_values[3]

Specifies the number of model values present for each intensity interval in which the film grain has been modelled, with a range of [1, 6].

Definition at line 204 of file film_grain_params.h.

## intensity_interval_lower_bound

uint8_t AVFilmGrainH274Params::intensity_interval_lower_bound[3][256]

Specifies the lower ounds of each intensity interval for whichthe set of model values applies for the component.

Definition at line 210 of file film_grain_params.h.

## intensity_interval_upper_bound

uint8_t AVFilmGrainH274Params::intensity_interval_upper_bound[3][256]

Specifies the upper bound of each intensity interval for which the set of model values applies for the component.

Definition at line 216 of file film_grain_params.h.

## comp_model_value

int16_t AVFilmGrainH274Params::comp_model_value[3][256][6]

Specifies the model values for the component for each intensity interval.

- When model_id == 0, the following applies: For comp_model_value[y], the range of values is [0, 2^bit_depth_luma - 1] For comp_model_value[cb..cr], the range of values is [0, 2^bit_depth_chroma - 1]
- Otherwise, the following applies: For comp_model_value[y], the range of values is [-2^(bit_depth_luma - 1), 2^(bit_depth_luma - 1) - 1] For comp_model_value[cb..cr], the range of values is [-2^(bit_depth_chroma - 1), 2^(bit_depth_chroma - 1) - 1]

Definition at line 227 of file film_grain_params.h.

The documentation for this struct was generated from the following file:

- libavutil/film_grain_params.h